package com.gic.haoban.manage.service.service.chat.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.commons.util.PageHelperUtils;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatUserSearchQDTO;
import com.gic.haoban.manage.service.dao.mapper.chat.GroupChatUserMapper;
import com.gic.haoban.manage.service.entity.chat.TabGroupChatUser;
import com.gic.haoban.manage.service.pojo.bo.chat.GroupChatUserBO;
import com.gic.haoban.manage.service.service.chat.GroupChatUserService;
import com.github.pagehelper.PageHelper;

@Service
public class GroupChatUserServiceImpl implements GroupChatUserService {
    
    @Autowired
    private GroupChatUserMapper groupChatUserMapper ;
    
    @Override
    public Page<GroupChatUserBO> listPage(GroupChatUserSearchQDTO qdto, BasePageInfo basePageInfo) {
        PageHelper.startPage(basePageInfo);
        List<TabGroupChatUser> list = this.groupChatUserMapper.listPage(qdto);
        Page<GroupChatUserBO> retPage = PageHelperUtils.changePageHelperToCurrentPage(list, GroupChatUserBO.class);
        return retPage;
    }

}